Package com.io7m.coffeepick.runtime

# Class RuntimeRepositoryBranding.Builder

java.lang.Object
com.io7m.coffeepick.runtime.RuntimeRepositoryBranding.Builder

Enclosing class:
  RuntimeRepositoryBranding

    public static final class RuntimeRepositoryBranding.Builder
    extends java.lang.Object

Builds instances of type `RuntimeRepositoryBranding`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `RuntimeRepositoryBranding` | `build()` | Builds a new `RuntimeRepositoryBranding`.
  `RuntimeRepositoryBranding.Builder` | `from​(RuntimeRepositoryBrandingType instance)` | Fill a builder with attribute values from the provided `RuntimeRepositoryBrandingType` instance.
  `RuntimeRepositoryBranding.Builder` | `setLogo​(java.net.URI logo)` | Initializes the value for the `logo` attribute.
  `RuntimeRepositoryBranding.Builder` | `setSite​(java.net.URI site)` | Initializes the value for the `site` attribute.
  `RuntimeRepositoryBranding.Builder` | `setSubtitle​(java.lang.String subtitle)` | Initializes the value for the `subtitle` attribute.
  `RuntimeRepositoryBranding.Builder` | `setTitle​(java.lang.String title)` | Initializes the value for the `title` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final RuntimeRepositoryBranding.Builder from​(RuntimeRepositoryBrandingType instance)
    Fill a builder with attribute values from the provided `RuntimeRepositoryBrandingType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setLogo

    public final RuntimeRepositoryBranding.Builder setLogo​(java.net.URI logo)
    Initializes the value for the `logo` attribute.
    Parameters:
      `logo` - The value for logo
    Returns:
      `this` builder for use in a chained invocation

  - ### setTitle

    public final RuntimeRepositoryBranding.Builder setTitle​(java.lang.String title)
    Initializes the value for the `title` attribute.
    Parameters:
      `title` - The value for title
    Returns:
      `this` builder for use in a chained invocation

  - ### setSubtitle

    public final RuntimeRepositoryBranding.Builder setSubtitle​(java.lang.String subtitle)
    Initializes the value for the `subtitle` attribute.
    Parameters:
      `subtitle` - The value for subtitle
    Returns:
      `this` builder for use in a chained invocation

  - ### setSite

    public final RuntimeRepositoryBranding.Builder setSite​(java.net.URI site)
    Initializes the value for the `site` attribute.
    Parameters:
      `site` - The value for site
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public RuntimeRepositoryBranding build()
    Builds a new `RuntimeRepositoryBranding`.
    Returns:
      An immutable instance of RuntimeRepositoryBranding
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing